package client;

import ismll_commerce.Offer;
import ismll_commerce.OfferHelper;

import org.omg.CORBA.ORB;

public class OfferClientSetPrice {
	public static void main(String args[]) {
		try {
			// a. connect to the ORB infrastructure:
			String[] argsOrb = new String[] { "-ORBInitialPort", "9090",
					"-ORBInitialHost", "localhost" };
			ORB orb = ORB.init(argsOrb, null);

			// b. retrieve application object by reference (here: args[0]
			// command line):
			String refString = args[0];
			org.omg.CORBA.Object ref = orb.string_to_object(refString);
			Offer offer_pc = OfferHelper.narrow(ref);

			// c. do something with them:
			System.out.println("Obtained a handle on server object: "
					+ offer_pc);
			System.out.println("name: " + offer_pc.name());
			System.out.println("old price: " + offer_pc.price());
			System.out.print("new price? ");
			byte[] b = new byte[10];
			int bytes = System.in.read(b);
			float newPrice = Float.parseFloat(new String(b, 0, bytes));
			offer_pc.price(newPrice);
		} catch (Exception e) {
			System.out.println("ERROR : " + e);
			e.printStackTrace(System.out);
		}
	}
}